Cobbler

I finally clear out enough bugs and issues that I could write the first version of the Shoe Cobbler. It’s just a screen (app) built into Shoes that allows you to manage your image cache. Not that big a deal unless your image cache is corrupted.

In Shoes 3.2 (federales) there are two kinds of Shoes. Loose Shoes and Tight Shoes. You can only have a loose shoes if you build from source. If you want to poke around inside Shoes, it’s the way to go. Tight Shoes is like the older Shoes 3.0 and 3.1 binary downloads — only Shoes 3.2 might actually work for many Linux variants and the Windows downloads runs. Tight Shoes has it own copy of Ruby and it’s own gem directory. It can’t be use your existing Ruby Gems (if you have them). From 3.2b1, Tight Shoes 3.2 had a method to Jail Break and use gems that Shoes didn’t install. A clunky ‘edit this file with notepad method’ that I’ve not mentioned much because it was ugly.

Cobbler changes that. for Tight Shoes, Cobbler will allow you to enter your existing gem directories. Or edit the ones you set in Cobbler and Tight Shoes will look in those directories for gems. Jailbreak. Of course if your existing gems are compiled for Ruby 1.9.3 (say) and Shoes is Ruby 2.0.0 that might be your problem to sort out. samples/simple-info.rb is your best friend.

There might be Shoes 3.2b6 downloads if you look. Not an official annoucement.

Leave a Reply

Your email address will not be published. Required fields are marked *